"""
Store provenance in rst file
"""
from .provenance import fmt_prov


def rst_dump(data, pth, pth_script, **kwds):
    """Write data in rst file.

    Args:
        data (str): data to write
        pth (str|Path): path to file to write
        pth_script (str|Path): path to script that generated data
        **kwds: additional arguments that will be passed to write

    Returns:
        None
    """
    with open(pth, "w", encoding="utf-8") as fhw:
        fhw.write(f".. generated by: {fmt_prov(pth_script)}\n\n")
        fhw.write(data)


def rst_prov(pth):
    """Read provenance in file.

    Args:
        pth (Path): path to file to read (previously saved with rst_dump)

    Returns:
        (str): provenance, path to script that generated data
    """
    line = open(pth, encoding="utf-8").readline()
    return line.split(":")[-1].strip()
